This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

ListDashboards

1 - 1.4

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (CURRENT)

VersionNot Before
1.4-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None
querytype
optional
Dashboard type
Example : Custom
any of [string, null]None
queryservice_code
optional
Associated service code
Example : virtualserver
any of [string, null]None
querynamespace_code
optional
Associated namespace code
Example : virtualserver
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponseV1Dot4
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.4"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2024-01-15T10:30:00.000Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "Production-Web-Servers",
            "namespace_code": "virtualserver",
            "service_code": "virtualserver",
            "type": "Custom"
        }
    ],
    "namespace_code": "virtualserver",
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

2 - 1.3

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (SUPPORTED)

VersionNot Before
1.320270131

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None
querytype
optional
Dashboard type
Example : Custom
any of [string, null]None
queryservice_code
optional
Associated service code
Example : virtualserver
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.3"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2024-01-15T10:30:00.000Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "Production-Web-Servers",
            "namespace_code": "virtualserver",
            "service_code": "virtualserver",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

3 - 1.2

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (SUPPORTED)

VersionNot Before
1.220261130

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None
querytype
optional
Dashboard type
Example : Custom
any of [string, null]None
queryservice_code
optional
Associated service code
Example : virtualserver
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2024-01-15T10:30:00.000Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "Production-Web-Servers",
            "namespace_code": "virtualserver",
            "service_code": "virtualserver",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

4 - 1.1

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260831

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2024-01-15T10:30:00.000Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "Production-Web-Servers",
            "namespace_code": "virtualserver",
            "service_code": "virtualserver",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

5 - 1.0

get /v1/dashboards

Description

Get list of dashboards

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : name:asc or modified_at:desc
any of [string, null]None
queryname
optional
Dashboard’s name
Example : MyProd
any of [string, null]None
queryname_like
optional
Wildcard Search for Dashboard Names
Example : MyProd
any of [string, null]None
queryfavorite_enabled
optional
Whether it is a favorite dashboard
Example : True
any of [boolean, null]None

Responses

HTTP CodeDescriptionSchema
200OKDashboardPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/dashboards

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "dashboards": [
        {
            "created_at": "2024-01-15T10:30:00.000Z",
            "favorite_enabled": true,
            "id": "b48e730a70e74f6aa3d2555000b5c22b",
            "modified_at": "2024-01-15T10:30:00.000Z",
            "name": "Production-Web-Servers",
            "namespace_code": "virtualserver",
            "service_code": "virtualserver",
            "type": "Custom"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}